<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpEnumComboBox: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpEnumStore.html" title="GimpEnumStore">
<link rel="next" href="GimpEnumLabel.html" title="GimpEnumLabel">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpEnumComboBox.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpEnumComboBox.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpEnumComboBox.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties">  <span class="dim">|</span> 
                  <a href="#GimpEnumComboBox.properties" class="shortcut">Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpEnumStore.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpEnumLabel.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpEnumComboBox"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpEnumComboBox.top_of_page"></a>GimpEnumComboBox</span></h2>
<p>GimpEnumComboBox — A <a class="link" href="GimpIntComboBox.html" title="GimpIntComboBox"><span class="type">GimpIntComboBox</span></a> subclass for selecting an enum value.</p>
</td>
<td class="gallery_image" valign="top" align="right"><img src="gimp-widget-enum-combo-box.png"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpEnumComboBox.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpEnumComboBox.html#gimp-enum-combo-box-new" title="gimp_enum_combo_box_new ()">gimp_enum_combo_box_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpEnumComboBox.html#gimp-enum-combo-box-new-with-model" title="gimp_enum_combo_box_new_with_model ()">gimp_enum_combo_box_new_with_model</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpEnumComboBox.html#gimp-enum-combo-box-set-stock-prefix" title="gimp_enum_combo_box_set_stock_prefix ()">gimp_enum_combo_box_set_stock_prefix</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpEnumComboBox.html#gimp-enum-combo-box-set-icon-prefix" title="gimp_enum_combo_box_set_icon_prefix ()">gimp_enum_combo_box_set_icon_prefix</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpEnumComboBox.properties"></a><h2>Properties</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody><tr>
<td class="property_type">
<a class="link" href="GimpEnumStore.html" title="GimpEnumStore"><span class="type">GimpEnumStore</span></a> *</td>
<td class="property_name"><a class="link" href="GimpEnumComboBox.html#GimpEnumComboBox--model" title="The “model” property">model</a></td>
<td class="property_flags">Read / Write</td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpEnumComboBox.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpEnumComboBox.html#GimpEnumComboBox-struct" title="GimpEnumComboBox">GimpEnumComboBox</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpEnumComboBox.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBin.html#GtkBin-struct">GtkBin</a>
                        <span class="lineart">╰──</span> <a href="../gtk2/GtkComboBox.html#GtkComboBox-struct">GtkComboBox</a>
                            <span class="lineart">╰──</span> <a class="link" href="GimpIntComboBox.html" title="GimpIntComboBox">GimpIntComboBox</a>
                                <span class="lineart">╰──</span> GimpEnumComboBox
</pre>
</div>
<div class="refsect1">
<a name="GimpEnumComboBox.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpEnumComboBox implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a>,  <a href="../gtk2/GtkCellLayout.html#GtkCellLayout-struct">GtkCellLayout</a> and  <a href="../gtk2/GtkCellEditable.html#GtkCellEditable-struct">GtkCellEditable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpEnumComboBox.description"></a><h2>Description</h2>
<p>A <a href="../gtk2/GtkComboBox.html#GtkComboBox-struct"><span class="type">GtkComboBox</span></a> subclass for selecting an enum value.</p>
</div>
<div class="refsect1">
<a name="GimpEnumComboBox.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-enum-combo-box-new"></a><h3>gimp_enum_combo_box_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_enum_combo_box_new (<em class="parameter"><code><a href="../gobject/gobject-Type-Information.html#GType"><span class="type">GType</span></a> enum_type</code></em>);</pre>
<p>Creates a <a href="../gtk2/GtkComboBox.html#GtkComboBox-struct"><span class="type">GtkComboBox</span></a> readily filled with all enum values from a
given <em class="parameter"><code>enum_type</code></em>
. The enum needs to be registered to the type
system. It should also have <a href="../html/libgimpbase-gimpbasetypes.html#GimpEnumDesc"><code class="literal">GimpEnumDesc</code></a> descriptions registered
that contain translatable value names. This is the case for the
enums used in the GIMP PDB functions.</p>
<p>This is just a convenience function. If you need more control over
the enum values that appear in the combo_box, you can create your
own <a class="link" href="GimpEnumStore.html" title="GimpEnumStore"><span class="type">GimpEnumStore</span></a> and use <a class="link" href="GimpEnumComboBox.html#gimp-enum-combo-box-new-with-model" title="gimp_enum_combo_box_new_with_model ()"><code class="function">gimp_enum_combo_box_new_with_model()</code></a>.</p>
<div class="refsect3">
<a name="gimp-enum-combo-box-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>enum_type</p></td>
<td class="parameter_description"><p>the <a href="../gobject/gobject-Type-Information.html#GType"><span class="type">GType</span></a> of an enum.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-enum-combo-box-new.returns"></a><h4>Returns</h4>
<p> a new <a class="link" href="GimpEnumComboBox.html" title="GimpEnumComboBox"><span class="type">GimpEnumComboBox</span></a>.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-enum-combo-box-new-with-model"></a><h3>gimp_enum_combo_box_new_with_model ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_enum_combo_box_new_with_model (<em class="parameter"><code><a class="link" href="GimpEnumStore.html" title="GimpEnumStore"><span class="type">GimpEnumStore</span></a> *enum_store</code></em>);</pre>
<p>Creates a <a href="../gtk2/GtkComboBox.html#GtkComboBox-struct"><span class="type">GtkComboBox</span></a> for the given <em class="parameter"><code>enum_store</code></em>
.</p>
<div class="refsect3">
<a name="gimp-enum-combo-box-new-with-model.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>enum_store</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpEnumStore.html" title="GimpEnumStore"><span class="type">GimpEnumStore</span></a> to use as the model</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-enum-combo-box-new-with-model.returns"></a><h4>Returns</h4>
<p> a new <a class="link" href="GimpEnumComboBox.html" title="GimpEnumComboBox"><span class="type">GimpEnumComboBox</span></a>.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-enum-combo-box-set-stock-prefix"></a><h3>gimp_enum_combo_box_set_stock_prefix ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_enum_combo_box_set_stock_prefix (<em class="parameter"><code><a class="link" href="GimpEnumComboBox.html" title="GimpEnumComboBox"><span class="type">GimpEnumComboBox</span></a> *combo_box</code></em>,
                                      <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *stock_prefix</code></em>);</pre>
<div class="warning">
<p><code class="literal">gimp_enum_combo_box_set_stock_prefix</code> is deprecated and should not be used in newly-written code.</p>
<p>GIMP 2.10</p>
</div>
<p>Attempts to create stock icons for all items in the <em class="parameter"><code>combo_box</code></em>
. See
<a class="link" href="GimpEnumStore.html#gimp-enum-store-set-stock-prefix" title="gimp_enum_store_set_stock_prefix ()"><code class="function">gimp_enum_store_set_stock_prefix()</code></a> to find out what to use as
<em class="parameter"><code>stock_prefix</code></em>
.</p>
<div class="refsect3">
<a name="gimp-enum-combo-box-set-stock-prefix.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>combo_box</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpEnumComboBox.html" title="GimpEnumComboBox"><span class="type">GimpEnumComboBox</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>stock_prefix</p></td>
<td class="parameter_description"><p>a prefix to create icon stock ID from enum values</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-enum-combo-box-set-icon-prefix"></a><h3>gimp_enum_combo_box_set_icon_prefix ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_enum_combo_box_set_icon_prefix (<em class="parameter"><code><a class="link" href="GimpEnumComboBox.html" title="GimpEnumComboBox"><span class="type">GimpEnumComboBox</span></a> *combo_box</code></em>,
                                     <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *icon_prefix</code></em>);</pre>
<p>Attempts to create icons for all items in the <em class="parameter"><code>combo_box</code></em>
. See
<a class="link" href="GimpEnumStore.html#gimp-enum-store-set-icon-prefix" title="gimp_enum_store_set_icon_prefix ()"><code class="function">gimp_enum_store_set_icon_prefix()</code></a> to find out what to use as
<em class="parameter"><code>icon_prefix</code></em>
.</p>
<div class="refsect3">
<a name="gimp-enum-combo-box-set-icon-prefix.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>combo_box</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpEnumComboBox.html" title="GimpEnumComboBox"><span class="type">GimpEnumComboBox</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>icon_prefix</p></td>
<td class="parameter_description"><p>a prefix to create icon names from enum values</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-10.html#api-index-2.10">2.10</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpEnumComboBox.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpEnumComboBox-struct"></a><h3>GimpEnumComboBox</h3>
<pre class="programlisting">typedef struct _GimpEnumComboBox GimpEnumComboBox;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpEnumComboBox.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GimpEnumComboBox--model"></a><h3>The <code class="literal">“model”</code> property</h3>
<pre class="programlisting">  “model”                    <a class="link" href="GimpEnumStore.html" title="GimpEnumStore"><span class="type">GimpEnumStore</span></a> *</pre>
<p>The enum store used by this combo box.</p>
<p>Flags: Read / Write</p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>